Summary: Ad-free client for the Gnutella peer-to-peer file sharing system
Name: limewire
Version: 2.0.2
%define version 2.0.2
Release: 1
URL: http://www.limewire.com/
Source: limewire_production-%{version}.zip
Copyright: GPL
Group: Networking/File transfer
BuildRoot: %{_tmppath}/%{name}-root
%define buildroot %{_tmppath}/%{name}-root
Packager: Ben Escoto <bescoto@stanford.edu>
requires: j2re
Patch0: limewire-%{version}-LimeXMLProperties.patch
Patch1: limewire-%{version}-LinkHandler.patch
Patch2: limewire-%{version}-run-compile-CR.patch
Patch3: limewire-%{version}-start-script
BuildPrereq: ant, j2sdk, /usr/bin/unzip

%description
Limewire is a gnutella client written in Java.  It supports a number
of advanced features like ultrapeers (like FastTrack's supernodes),
automatic download retries, freeloader punishment, etc.

This RPM starts with the GPLed source available from limewire.org.
When compiled it is advertisement-free.  It has been tested with
Blackdown's Java v1.3.1, but should work with other runtime
environments.

For the source RPM, you will need a Java 2 Developer's Kit such as
Blackdown's j2sdk.

%prep
cd $RPM_BUILD_DIR
rm -rf limewire
unzip $RPM_SOURCE_DIR/limewire_production-%{version}.zip
chown -R root:root limewire
chmod -R go-w limewire

%patch0
%patch1
%patch2

install -o root -g root -m 755 $RPM_SOURCE_DIR/limewire-%{version}-start-script $RPM_BUILD_DIR/limewire
chmod 755 limewire/gui/compile limewire/core/compile

%build
cd limewire/core
./compile
jar -cf ../LimeWire.jar `find com -name '*class'`

cd ../gui
./compile
jar -uf ../LimeWire.jar `find com -name '*class' -or -name '*gif'`
jar -cf RunLime.jar *class

%install
cd %{buildroot}
rm -rf usr/lib/limewire-%{version} usr/lib/limewire
mkdir -p usr/lib/limewire-%{version}
mkdir -p usr/bin

install -o root -g root -m 644 $RPM_BUILD_DIR/limewire/gui/lib/collections.jar $RPM_BUILD_DIR/limewire/gui/lib/xerces.jar $RPM_BUILD_DIR/limewire/gui/lib/MRJToolkitStubs.jar $RPM_BUILD_DIR/limewire/gui/lib/jl011.jar $RPM_BUILD_DIR/limewire/gui/lib/sound.jar $RPM_BUILD_DIR/limewire/LimeWire.jar $RPM_BUILD_DIR/limewire/gui/RunLime.jar $RPM_BUILD_DIR/limewire/gui/Copyright.txt $RPM_BUILD_DIR/limewire/gui/gpl.txt $RPM_BUILD_DIR/limewire/gui/lib/*properties usr/lib/limewire-%{version}

install -o root -g root -m 755 $RPM_BUILD_DIR/limewire/limewire-%{version}-start-script usr/bin/limewire

cd usr/lib
ln -s limewire-%{version} limewire

%clean

%files
%defattr(-,root,root)

/usr/lib/limewire-%{version}
/usr/lib/limewire
/usr/bin/limewire

%changelog
* Sun Jan 13 2002 Ben Escoto <bescoto@stanford.edu>
- Initial RPM
